import hippo
from bigboard.stock import Stock

class TwitterStock(Stock):
    def __init__(self, *args, **kwargs):
        Stock.__init__(self, *args, **kwargs)
        self.__box = hippo.CanvasBox(orientation=hippo.ORIENTATION_VERTICAL)
        hello_message = hippo.CanvasText(text="Hello Twitter",    
                                         size_mode=hippo.CANVAS_SIZE_WRAP_WORD)
        self.__box.append(hello_message)

    def get_content(self, size):
        return self.__box
